Package org.drinkless.tdlib

# Class TdApi.BusinessFeaturePromotionAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessFeaturePromotionAnimation

Enclosing class:
  TdApi

public static class TdApi.BusinessFeaturePromotionAnimation extends TdApi.Object
Describes a promotion animation for a Business feature.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Animation`
  `animation`
  Promotion animation for the feature.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BusinessFeature`
  `feature`
  Business feature.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessFeaturePromotionAnimation()`
  Describes a promotion animation for a Business feature.
  `BusinessFeaturePromotionAnimation(TdApi.BusinessFeature feature, TdApi.Animation animation)`
  Describes a promotion animation for a Business feature.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### feature

    public TdApi.BusinessFeature feature
    Business feature.

  - ### animation

    public TdApi.Animation animation
    Promotion animation for the feature.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessFeaturePromotionAnimation

    public BusinessFeaturePromotionAnimation()
    Describes a promotion animation for a Business feature.

  - ### BusinessFeaturePromotionAnimation

    public BusinessFeaturePromotionAnimation(TdApi.BusinessFeature feature, TdApi.Animation animation)
    Describes a promotion animation for a Business feature.
    Parameters:
      `feature` - Business feature.
      `animation` - Promotion animation for the feature.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR